=== debian/control ===
Source: ros-lunar-rtt-rosclock
Section: misc
Priority: extra
Maintainer: Orocos Developers <orocos-dev@lists.mech.kuleuven.be>
Build-Depends: debhelper (>= 9.0.0), libxml2-dev, ros-lunar-catkin, ros-lunar-cmake-modules, ros-lunar-ocl, ros-lunar-roscpp, ros-lunar-rospack, ros-lunar-rostime, ros-lunar-rtt, ros-lunar-rtt-rosgraph-msgs
Homepage: http://ros.org/wiki/rtt_ros_integration
Standards-Version: 3.9.2

Package: ros-lunar-rtt-rosclock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxml2-dev, ros-lunar-cmake-modules, ros-lunar-ocl, ros-lunar-roscpp, ros-lunar-rospack, ros-lunar-rostime, ros-lunar-rtt, ros-lunar-rtt-rosgraph-msgs
Description: This package provides an RTT plugin to access different time measurements on a realtime host.
